COMMIT PREPARED(7)

NAME
COMMIT_PREPARED - commit a transaction that was earlier prepared for two-phase commit

SYNOPSIS

COMMIT PREPARED transaction_id

DESCRIPTION

COMMIT PREPARED commits a transaction that is in prepared state.

PARAMETERS

transaction_id
    The transaction identifier of the transaction that is to be committed.

NOTES

To commit a prepared transaction, you must be either the same user that executed the transaction originally, or a superuser. But you do not have to be in the same session that executed the transaction.

This command cannot be executed inside a transaction block. The prepared transaction is committed immediately.

All currently available prepared transactions are listed in the pg_prepared_xacts system view.

EXAMPLES

Commit the transaction identified by the transaction identifier foobar:

    COMMIT PREPARED 'foobar';

COMPATIBILITY

COMMIT PREPARED is a PostgreSQL extension. It is intended for use by external transaction management systems, some of which are covered by standards (such as X/Open XA), but the SQL side of those systems is not standardized.

SEE ALSO
PREPARE TRANSACTION (PREPARE_TRANSACTION(7)), ROLLBACK PREPARED (ROLLBACK_PREPARED(7))